#include <iostream>
using namespace std;

int
main (int argc, const char *argv[])
{
  long long int p, q, r, L, R, sum = 0, i, N=0;
  cin >> p >> q >> r >> L >> R;
  for (i = L; i <= R; i++)
    {
      if (i % p == 0)
    {
      N = i / p;

    }
      if (i % p != 0)
    {
      N = (i / p) + 1;

    }
      if (i % q == 0)
    {
      N = N + (i / q);

    }
      if (i % q != 0)
    {
      N = N +(i / q) + 1;

    }
      if (i % r == 0)
    {
      N = N + (i / r);
    }
      if (i % r != 0)
    {
      N = N+ (i / r) + 1;

    }
      if (N <= i)
    {
      sum++;
    }
      N = 0;



    }
  cout << sum;

  return 0;
}